Heartbleed Security Bug

Heartbleed Vulnerability and the impact on PayTrace:

In response to the recent Heartbleed security bug, PayTrace's IT Team performed a series of thorough investigations and system scans to confirm that we were not using any vulnerable versions of OpenSSL. A website that specifically checks for vulnerability from the Heartbleed security bug can be found here - https://filippo.io/Heartbleed. PayTrace's website comes back green when scanned with this site.

Even though we are confident that our applications were not vulnerable to this security bug, all internal PayTrace staff have been required to change their passwords to business applications as a safeguard. Due to the wide exposure of this security bug, PayTrace strongly recommends that any user that has access to PayTrace update their password as a precaution.

For more information about the Heartbleed security bug, click here - http://heartbleed.com/